Katello - Bug #7360

Synchronization status and refresh should not be available when repo is not synced
09/04/2014 03:17 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Brad Buckingham
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1128796 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/464
0
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1120595

Description of problem:

If you create a custom product with a custom channel that is not synchronized, you still can request the environment for a sync, that
will fail with a warning.

Version-Release number of selected component (if applicable):
6.0.3

How reproducible:
Always

Steps to Reproduce:

1. Create a custom product

2. Create a custom repo without original yum server
3. Synchronize it

Actual results:
Sync starts as fails with a warning

Expected results:
A message and a dialog explaining that there is nothing to synchronize

Additional info:
| would expect a warning dialog explaining that only sync-able repos will be sync when | assign a synchronization plan to a product
that is not sync-able

Associated revisions

Revision f2b47016 - 09/04/2014 03:41 PM - Brad Buckingham
fixes #7360 / BZ 1120595 - Ul: Product: fix Sync Now behavior

This commit addresses 2 small issues related to the 'Sync Now' button
on a the Product -> Details pane. After the user clicks the button

and a response is received from the server:

1. switch the button back from 'Syncing...' to 'Sync Now'

2. display a notification to the user to indicate that the sync has

been scheduled

Revision e49ce39b - 09/04/2014 03:41 PM - Brad Buckingham
fixes #7360 / BZ 1120595 - Ul: Product: fix Sync Now behavior

This commit addresses 2 small issues related to the 'Sync Now' button
on a the Product -> Details pane. After the user clicks the button

and a response is received from the server:

1. switch the button back from 'Syncing...' to 'Sync Now'

2. display a notification to the user to indicate that the sync has
been scheduled

Revision b9522b72 - 09/05/2014 08:42 AM - Brad Buckingham
Merge pull request #4640 from bbuckingham/issue-7360

fixes #7360 / BZ 1120595 - Ul: Product: fix Sync Now behavior

History

#1 - 09/04/2014 03:18 PM - Brad Buckingham
- Assignee set to Brad Buckingham

- Triaged changed from No to Yes

#2 - 09/04/2014 03:44 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 55

- Pull request https://github.com/Katello/katello/pull/4640 added
- Pull request deleted ()

#3 - 09/05/2014 09:00 AM - Brad Buckingham
- Bugzilla link changed from 1120595 to 1094986

#4 - 09/05/2014 09:01 AM - Brad Buckingham
- Bugzilla link changed from 1094986 to 1128796

#5 - 09/05/2014 09:02 AM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|f2b47016c88614d7dd624ad665f156a31b56ec3.

#6 - 09/15/2014 02:22 PM - Eric Helms

- translation missing: en.field_release set to 13
